Skip to content

List Nodes in a Node Pool

GET
/api/v1/kubernetes/cluster-nodes/{node_pool_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/cluster-nodes/{node_pool_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the worker nodes belonging to a node pool - each node’s id, name, status, public and private IP address, vm_type, and timestamps. Use the node pool’s service_id (from List).

node_pool_id
required
integer

The node pool service_id (from List).

Example

12346
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data

Worker nodes in the node pool.

Array<object>
object
id
integer
name
string
status
string
ip_address_public
string
ip_address_private
string
vm_type
string
created_at
string
worker_name
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 320001,
"name": "worker_0_service_12346",
"status": "Running",
"ip_address_public": "203.0.113.10",
"ip_address_private": "10.20.30.10",
"vm_type": "worker",
"created_at": "2026-06-30T10:19:41.892656Z",
"worker_name": "e2e-137-54"
}
],
"message": "Success"
}